package com.muyu.data.basics;



import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.concurrent.LinkedBlockingDeque;

/**
 * @Author WangXin
 * @Data 2024/9/29
 * @Description 事件队列配置
 * @Version 1.0.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class EventQueueConfig {

    private LinkedBlockingDeque<EventProcessBasics> taskNodeQueue = new LinkedBlockingDeque<>();

    public void addEvent(EventProcessBasics obj){
        this.taskNodeQueue.add(obj);
    }

    public boolean hashEventNext(){
        return !taskNodeQueue.isEmpty();
    }

    private EventProcessBasics nextTaskNode(){
        return taskNodeQueue.poll();
    }
}
